package hmggirlfront.config;

import hmggirlfront.mod_GirlFront;
import net.minecraftforge.common.config.Configuration;

public class GFConfig {
	public void init(Configuration config, mod_GirlFront mod)
	{
		mod.isDebug = config.getBoolean("isDebug", "all", false, "debag_mode");
		mod.cfg_doll_debag	= config.getBoolean("cfg_doll_debag", "all", false, "cfg_doll_debag");
		
		mod.cfg_worldlevel_debag	= config.getBoolean("cfg_worldlevel_debag", "all", false, "cfg_worldlevel_debag");
		
		
		mod.cfg_Prevention_of_lost_child	= config.getBoolean("cfg_Prevention_of_lost_child", "all", true, "broke_Prevention_of_lost");
		mod.cfg_friendlyfire_player_to_doll	= config.getBoolean("cfg_friendlyfire_player_to_doll", "all", false, "friendlyfire_player_to_doll");
		mod.cfg_doll_followrange	= config.getInt("cfg_doll_followrange", "all", 3, 1, 128, "doll_followrange");
		
		mod.cfg_vehicle_breakblock	= config.getBoolean("cfg_vehicle_breakblock", "all", true, "cfg_vehicle_breakblock");
		
		mod.cfg_hud	=config.getBoolean("cfg_hud", "all", true, "canDraw_HUD");
		
		
		mod.cfg_canspawn	= config.getBoolean("cfg_canspawn", "all", true, "mob_canspawn");
		mod.cfg_spawn_limit_s	= config.getInt("cfg_spawn_limit_s", "all", 20, 1, 200, "spawn_limit_mob");
		mod.cfg_spawn_original	= config.getBoolean("cfg_spawn_original", "all", false, "spawn_mob_original");
		mod.cfg_spawn_hell	= config.getBoolean("cfg_spawn_hell", "all", false, "cfg_spawn_hell");
		mod.cfg_spawner_limit	=config.getInt("cfg_spawner_limit", "all", 3, 1, 200, "spawner_limit");
		mod.cfg_spawner_time	= config.getInt("cfg_spawner_time", "all", 600, 1, 2000, "spawner_time");
		mod.cfg_spawner_range	= config.getInt("cfg_spawner_range", "all", 40, 0, 128, "spawner_range");
		mod.cfg_spawner_limit_easy	=config.getInt("cfg_spawner_limit_easy", "all", 30, 0, 200, "spawner_limit");
		mod.cfg_spawner_limit_normal	=config.getInt("cfg_spawner_limit_normal", "all", 20, 0, 200, "spawner_limit");
		mod.cfg_spawner_limit_hard	=config.getInt("cfg_spawner_limit_hard", "all", 10, 0, 200, "spawner_limit");
		
		
		mod.cfg_canspawn_underground	= config.getBoolean("cfg_canspawn_underground", "all", false, "cfg_canspawn_underground");
		mod.cfg_spawner_one_time_onry	= config.getBoolean("cfg_spawner_one_time_onry", "all", true, "spawner_one_time_onry");
		mod.cfg_building	= config.getBoolean("cfg_building", "all", true, "can_building");
		mod.cfg_building_intervals	= config.getBoolean("cfg_building_intervals", "all", true, "cfg_building_intervals");
		mod.cfg_building_base_range	= config.getInt("cfg_building_base_range", "all", 896, 0, 8960, "cfg_building_base_range");
		mod.cfg_building_rand	= config.getInt("cfg_building_rand", "all", 50, 0, 2000, "building_random");
		mod.cfg_building_rand_goods	= config.getInt("cfg_building_rand_goods", "all", 100, 0, 2000, "goods_random");
		mod.cfg_building_rand_base	= config.getInt("cfg_building_rand_base", "all", 1200, 0, 12000, "base_random");
		
		
		mod.cfg_biome_collapse	= config.getInt("cfg_biome_collapse", "all", 200, 0, 10000, "cfg_biome_collapse");
		
		
		mod.cfg_relief_recipe	= config.getBoolean("cfg_relief_recipe", "all", false, "relief_recipe");
		
		
		mod.cfg_doll_other_vanillapotion	= config.getBoolean("cfg_doll_other_vanillapotion", "all", true, "cfg_doll_other_vanillapotion");
		
		
		
		mod.cfg_key_up	= config.getString("cfg_key_up", "all", "UP", "KEY_UP");
		mod.cfg_key_down	= config.getString("cfg_key_down", "all", "DOWN", "KEY_DOWN");
		mod.cfg_key_right	= config.getString("cfg_key_right", "all", "RIGHT", "KEY_RIGHT");
		mod.cfg_key_left	= config.getString("cfg_key_left", "all", "LEFT", "KEY_LEFT");
		
		
		
	}
}
